Package org.gitana.platform.client.exception

# Class AuthenticationFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gitana.platform.client.exception.AuthenticationFailedException

All Implemented Interfaces:
  `Serializable`

public class AuthenticationFailedException extends RuntimeException

Author:
  uzi
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationFailedException(String message)`
`AuthenticationFailedException(String message, Throwable cause)`
`AuthenticationFailedException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationFailedException

public AuthenticationFailedException(String message, Throwable cause)

### AuthenticationFailedException

public AuthenticationFailedException(Throwable cause)

### AuthenticationFailedException

public AuthenticationFailedException(String message)